package com.fs.his.service.impl;

import java.util.List;

import com.fs.his.param.FsStoreProductAttrValueListDParam;
import com.fs.his.vo.FsStoreProductAttrValueListDVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.his.mapper.FsStoreProductAttrValueMapper;
import com.fs.his.domain.FsStoreProductAttrValue;
import com.fs.his.service.IFsStoreProductAttrValueService;

/**
 * 商品属性值Service业务层处理
 *
 * @author fs
 * @date 2023-08-10
 */
@Service
public class FsStoreProductAttrValueServiceImpl implements IFsStoreProductAttrValueService
{
    @Autowired
    private FsStoreProductAttrValueMapper fsStoreProductAttrValueMapper;

    /**
     * 查询商品属性值
     *
     * @param id 商品属性值主键
     * @return 商品属性值
     */
    @Override
    public FsStoreProductAttrValue selectFsStoreProductAttrValueById(Long id)
    {
        return fsStoreProductAttrValueMapper.selectFsStoreProductAttrValueById(id);
    }

    /**
     * 查询商品属性值列表
     *
     * @param fsStoreProductAttrValue 商品属性值
     * @return 商品属性值
     */
    @Override
    public List<FsStoreProductAttrValue> selectFsStoreProductAttrValueList(FsStoreProductAttrValue fsStoreProductAttrValue)
    {
        return fsStoreProductAttrValueMapper.selectFsStoreProductAttrValueList(fsStoreProductAttrValue);
    }

    /**
     * 新增商品属性值
     *
     * @param fsStoreProductAttrValue 商品属性值
     * @return 结果
     */
    @Override
    public int insertFsStoreProductAttrValue(FsStoreProductAttrValue fsStoreProductAttrValue)
    {
        return fsStoreProductAttrValueMapper.insertFsStoreProductAttrValue(fsStoreProductAttrValue);
    }

    /**
     * 修改商品属性值
     *
     * @param fsStoreProductAttrValue 商品属性值
     * @return 结果
     */
    @Override
    public int updateFsStoreProductAttrValue(FsStoreProductAttrValue fsStoreProductAttrValue)
    {
        return fsStoreProductAttrValueMapper.updateFsStoreProductAttrValue(fsStoreProductAttrValue);
    }

    /**
     * 批量删除商品属性值
     *
     * @param ids 需要删除的商品属性值主键
     * @return 结果
     */
    @Override
    public int deleteFsStoreProductAttrValueByIds(Long[] ids)
    {
        return fsStoreProductAttrValueMapper.deleteFsStoreProductAttrValueByIds(ids);
    }

    /**
     * 删除商品属性值信息
     *
     * @param id 商品属性值主键
     * @return 结果
     */
    @Override
    public int deleteFsStoreProductAttrValueById(Long id)
    {
        return fsStoreProductAttrValueMapper.deleteFsStoreProductAttrValueById(id);
    }

    @Override
    public List<FsStoreProductAttrValueListDVO> selectFsStoreProductAttrValueListDVO(FsStoreProductAttrValueListDParam param) {
        return fsStoreProductAttrValueMapper.selectFsStoreProductAttrValueListDVO(param);
    }
}
